/**
 * Official Type definitions for JSS Render
 * https://jspreadsheet.com/products/render
 * Definitions: https://github.com/DefinitelyTyped/DefinitelyTyped
 */

declare function render(options?: render.options): void;

declare namespace render {

    interface options {
        /** Final filename */
        filename?: string;
        /** Receive the spreadsheet object and return a new spreadsheet object */
        onbeforerender?: (configSpreadsheet: object) => object;
        /** Receive the blob. Return false to cancel the default behavior. */
        onbeforesave?: (blob: object) => void | boolean;
        /** When finish */
        onsuccess?: (blog: object) => void;
        /** Remote parser */
        remoteParser?: Function | string;
    }

    /** Set the license */
    function license(license: string|object) : void;
}

export default render;
